import pygame


class Surface(pygame.Surface):
    def __init__(self, window_size, resources_dir):
        super().__init__(window_size, pygame.SRCALPHA)
        self.running = True
        self.next_surface = None

        self.bg = pygame.image.load(resources_dir + '/images/bg.png').convert_alpha()
        self.title = pygame.image.load(resources_dir + '/images/title.png').convert_alpha()

    def update(self):
        self.blit(self.bg, (0, 0))
        self.blit(self.title, (0, 0))

